Public Member Functions | Protected Attributes | Private Member Functions | List of all members
libzmf::ZBRParser Class Reference

`#include <ZBRParser.h>`

## Public Member Functions
| ZBRParser (const RVNGInputStreamPtr &input, librevenge::RVNGDrawingInterface *painter)
bool | parse ()

## Protected Attributes
const RVNGInputStreamPtr | m_input
ZMFCollector | m_collector
ZBRHeader | m_header

## Private Member Functions
| ZBRParser (const ZBRParser &other)=delete
ZBRParser & | operator= (const ZBRParser &other)=delete

## Constructor & Destructor Documentation

## ◆ ZBRParser() [1/2]

libzmf::ZBRParser::ZBRParser | ( | const ZBRParser & | other | ) |
| private delete

## ◆ ZBRParser() [2/2]

libzmf::ZBRParser::ZBRParser | ( | const RVNGInputStreamPtr & | input,
|  | librevenge::RVNGDrawingInterface * | painter
| ) |  |

## Member Function Documentation

## ◆ operator=()

ZBRParser & libzmf::ZBRParser::operator= | ( | const ZBRParser & | other | ) |
| private delete

## ◆ parse()

bool libzmf::ZBRParser::parse | ( |  | ) |

## Member Data Documentation

## ◆ m_collector

ZMFCollector libzmf::ZBRParser::m_collector
| protected

Referenced by parse().

## ◆ m_header

ZBRHeader libzmf::ZBRParser::m_header
| protected

Referenced by parse().

## ◆ m_input

const RVNGInputStreamPtr libzmf::ZBRParser::m_input
| protected

Referenced by parse().

The documentation for this class was generated from the following files:

- ZBRParser.h
- ZBRParser.cpp